Qore SmtpClient Module Reference 1.2

- Main Page
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Groups Pages
Classes | Variables
SmtpClient Namespace Reference

the SmtpClient namespace holds all public definitions in the SmtpClient module More...

## Classes
class | Attachment
| for backwards-compatibility only More...
class | Message
| for backwards-compatibility and convenience More...
class | SmtpClient
| the class that's used to communicate with an SMTP server and supports optional TLS/SSL encryption More...

## Variables
const | DefaultConnectTimeout = 30s
| 30 second connect timeout
const | DefaultReadTimeout = 15s
| 15 second read timeout

## Detailed Description

the SmtpClient namespace holds all public definitions in the SmtpClient module

This includes:

- SmtpClient: manages a connection to an SMTP server

Note that the MailMessage module ("required" above) implements the following classes:

- Message: wraps a message to be sent via an SmtpClient object
- Attachment: used to attach files to a Message